<div class="order-result-container">
  <mat-card>
    <mat-card-content>
      <ng-container *ngIf="orderTickets">
        <div class="content">
          <div class="result-header">
            <h2>Данные заказа</h2>
            <div class="timer-container">
              До вылета осталось:
              <app-count-down-timer [departureDate]="orderTickets.departureDate"></app-count-down-timer>
            </div>
          </div>


          <div class="airports-info">
            <div class="from">
              <mat-icon class="icon">flight_takeoff</mat-icon>
              <span *ngFor="let name of directionFrom">{{name}}</span>
            </div>

            <div class="to">
              <mat-icon class="icon">flight_land</mat-icon>
              <span *ngFor="let name of directionTo">{{name}}</span>
            </div>
          </div>
          <div class="data-info">
            <p>Arrival at: {{orderTickets.departureDate | date: 'dd.MM.YYYY'}}</p>
            <p>Departure at: {{orderTickets.arrivalDate |  date: 'dd.MM.YYYY'}}</p>
          </div>
          <div class="passengers">
            <app-passenger-card class="passenger"
                                *ngFor="let passenger of orderTickets.passengers; let i = index"
                                [i]="i"
                                [passenger]="passenger"
                                [nationalities]="nationalities"
            >
            </app-passenger-card>
          </div>
        </div>
      </ng-container>
    </mat-card-content>
    <button type="reset" mat-stroked-button color="primary" [routerLink]="['/order']">Вернуться к редактированию</button>
  </mat-card>
</div>
